@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400;600&family=EB+Garamond:wght@400;500&display=swap');

html,
body {
    margin: 0;
    padding: 0;

    background: transparent;
    color: white;

    overflow-y: auto;

    scrollbar-width: none;

    font-family: "Cinzel", serif;
     
    cursor: url("../Pictures/meilingsmall.png"), auto;
}

/* Text highlight color */
::selection {
    background: rgba(120, 90, 255, 0.25);
    color: white;

    text-shadow:
        0 0 3px rgba(255,255,255,0.7),
        0 0 8px rgba(170,140,255,0.8);
}


html::-webkit-scrollbar {
    display: none;
}

/* MAIN CONTENT AREA */

.text-content {
    box-sizing: border-box;

    width: 100%;

    padding-top: 1%;

    padding-left: 9%;
    padding-right: 9%;

    text-align: center;

    font-size: 1.5vw;

    line-height: 1.8;

    font-family: "EB Garamond", serif;
}

h1, h2, h3 {
    font-family: "Cinzel", serif;
    color: #d8c28a;
}

.text-content p {
    margin-bottom: 1em;
    font-size: 23px;
}

#diceButton:hover {
    transform: scale(1.1);
    transition: 0.2s;
}

/* Chat box controls            */

.chat-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;

    width: 100%;

    margin-top: 40px;
    margin-bottom: 40px;
}

#chattable {
    width: 600px;
    height: 400px;
    border: none;
    border-radius: 12px;
    overflow: hidden;     
    border: 2px solid #d8c28a;
    box-shadow: 0 0 10px rgba(216, 194, 138, 0.4);
}

#chattable {
    width: 600px;
    height: 400px;

    border-radius: 12px;

    border: 2px solid #d8c28a;

    overflow: hidden;

    box-shadow:
        0 10px 35px rgba(0, 0, 0, 0.35),
        0 0 15px rgba(216, 194, 138, 0.25);

    transform: translateY(0);
    transition: 0.3s ease;
}
